#version 330 core

in vec2 uvPass1;
in vec2 uvPass2;
in float blend;

out vec4 color;

uniform sampler2D tex;

void main()
{
	vec4 texColor1 = texture(tex, uvPass1);
	vec4 texColor2 = texture(tex, uvPass2);

	color = mix(texColor1, texColor2, blend);
}